Bug 38349 - Duplicate RPM Database entries after upgrade from 6.2
Summary: Duplicate RPM Database entries after upgrade from 6.2
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact: David Lawrence
URL:
Whiteboard: Upgrade performed using 7.1 install p...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-29 23:59 UTC by Need Real Name
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-09 16:42:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-04-29 23:59:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)


I installed Redhat 6.2 using the "server" configuration then immedately 
upgraded to 7.1.  After the upgrade to 7.1 I noticed my RPM database has 
two entries, one for the older file, and a second for the new file.  So 
for example, Sendmail-8.9 and Sendmail-8.11 are both listed as being 
installed.  Likewise Apache 1.3.12 and 1.3.19 are also listed.

Reproducible: Always
Steps to Reproduce:
1. Install RedHat 6.2 in Server configuration
2. Upgrade to Redhat 7.1
3. Type 'rpm -qa|grep sendmail' You will see two versions of sendmail 
listed.
	

Actual Results:  Duplicate entries are shown

Expected Results:  Only a single entry for the upgraded product.

I read in the RedHat message board someone else was experiencing the same 
results.

Comment 1 Jeff Johnson 2001-05-06 14:04:29 UTC
How did you upgrade? If you used --install/-i rather than --upgrade/-U, then
duplicate entries is exactly what is to be expected.

Comment 2 Need Real Name 2001-05-06 16:39:38 UTC
The upgrade was performed by booting the 7.1 installation disk and selecting 
upgrade.  Very similar to a new install but you select "upgrade" instead 
of "install".

Comment 3 Jeff Johnson 2001-05-06 16:43:20 UTC
OK, off to anaconda to find out what's up. I certainly haven't heard of this
problem before ...

Comment 4 Brent Fox 2001-05-09 16:42:39 UTC
I set up a test machine with a fresh server install of 6.2.  I then immediately
upgraded to 7.1...the RPM database looks fine...no duplicate entries.


Note You need to log in before you can comment on or make changes to this bug.